// Copyright 2026 The Chromium Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
import { defInterface, defMessage } from '../transport/messaging.js';
// Shared between host and client.
export const AnnotationHostDef = defInterface({
    name: 'AnnotationHost',
    methods: [
        {
            name: 'scrollTo',
            request: defMessage(),
            histogram: { id: 45 },
        },
        {
            name: 'dropScrollToHighlight',
            request: defMessage(),
            histogram: { id: 57 },
        },
    ],
});
export const AnnotationClientDef = defInterface({
    name: 'AnnotationClient',
    methods: [],
});
